Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.apache.jasper.compiler
Interface ParseEventListener

All Known Implementing Classes:
  JspParseEventListener

public interface ParseEventListener

Interface for the JSP code generation backend. At some point should probably try and make this a SAX (XML) listener.

Author:
  Anil K. Vijendran
, Pierre Delisle , Danno Ferrin

Method Summary
`void` | `beginPageProcessing()`
`void` | `endPageProcessing()`
`TagLibraries` | `getTagLibraries()`
`void` | `handleBean(Mark start, Mark stop, org.xml.sax.Attributes attrs)`
`void` | `handleBean(Mark start, Mark stop, org.xml.sax.Attributes attrs, boolean isXml)`
`void` | `handleBeanEnd(Mark start, Mark stop, org.xml.sax.Attributes attrs)`
`void` | `handleCharData(Mark start, Mark stop, char[] chars)`
`void` | `handleComment(Mark start, Mark stop, char[] text)`
`void` | `handleDeclaration(Mark start, Mark stop, org.xml.sax.Attributes attrs, char[] text)`
`void` | `handleDirective(java.lang.String directive, Mark start, Mark stop, org.xml.sax.Attributes attrs)`
`void` | `handleExpression(Mark start, Mark stop, org.xml.sax.Attributes attrs, char[] text)`
`void` | `handleForward(Mark start, Mark stop, org.xml.sax.Attributes attrs, java.util.Hashtable param)`
`void` | `handleForward(Mark start, Mark stop, org.xml.sax.Attributes attrs, java.util.Hashtable param, boolean isXml)`
`void` | `handleGetProperty(Mark start, Mark stop, org.xml.sax.Attributes attrs)`
`void` | `handleInclude(Mark start, Mark stop, org.xml.sax.Attributes attrs, java.util.Hashtable param)`
`void` | `handleInclude(Mark start, Mark stop, org.xml.sax.Attributes attrs, java.util.Hashtable param, boolean isXml)`
`void` | `handleJspCdata(Mark start, Mark stop, char[] data)`
`void` | `handlePlugin(Mark start, Mark stop, org.xml.sax.Attributes attrs, java.util.Hashtable param, java.lang.String fallback)`
`void` | `handlePlugin(Mark start, Mark stop, org.xml.sax.Attributes attrs, java.util.Hashtable param, java.lang.String fallback, boolean isXml)`
`void` | `handleRootBegin(org.xml.sax.Attributes attrs)`
`void` | `handleRootEnd()`
`void` | `handleScriptlet(Mark start, Mark stop, org.xml.sax.Attributes attrs, char[] text)`
`void` | `handleSetProperty(Mark start, Mark stop, org.xml.sax.Attributes attrs)`
`void` | `handleSetProperty(Mark start, Mark stop, org.xml.sax.Attributes attrs, boolean isXml)`
`void` | `handleTagBegin(Mark start, Mark stop, org.xml.sax.Attributes attrs, java.lang.String prefix, java.lang.String shortTagName, javax.servlet.jsp.tagext.TagLibraryInfo tli, javax.servlet.jsp.tagext.TagInfo ti, boolean hasBody)`
`void` | `handleTagBegin(Mark start, Mark stop, org.xml.sax.Attributes attrs, java.lang.String prefix, java.lang.String shortTagName, javax.servlet.jsp.tagext.TagLibraryInfo tli, javax.servlet.jsp.tagext.TagInfo ti, boolean hasBody, boolean isXml)`
`void` | `handleTagEnd(Mark start, Mark stop, java.lang.String prefix, java.lang.String shortTagName, org.xml.sax.Attributes attrs, javax.servlet.jsp.tagext.TagLibraryInfo tli, javax.servlet.jsp.tagext.TagInfo ti, boolean hasBody)`
`void` | `handleUninterpretedTagBegin(Mark start, Mark stop, java.lang.String rawName, org.xml.sax.Attributes attrs)`
`void` | `handleUninterpretedTagEnd(Mark start, Mark stop, java.lang.String rawName, char[] data)`
`void` | `setDefault(boolean isXml)`
`void` | `setReader(JspReader reader)` The reader associated with the listener.
`void` | `setTemplateInfo(Mark start, Mark stop)`

Method Detail

### setReader

    public void setReader(JspReader reader)

  The reader associated with the listener. As of JSP1.2, each part of the JSP tranlation unit is parsed with a new instance of a parser and the reader is different for each one.

### setDefault

    public void setDefault(boolean isXml)

### setTemplateInfo

    public void setTemplateInfo(Mark start,
                                Mark stop)

### beginPageProcessing

    public void beginPageProcessing()
                             throws JasperException

    `JasperException`

### handleComment

    public void handleComment(Mark start,
                              Mark stop,
                              char[] text)
                       throws JasperException

    `JasperException`

### handleDirective

    public void handleDirective(java.lang.String directive,
                                Mark start,
                                Mark stop,
                                org.xml.sax.Attributes attrs)
                         throws JasperException

    `JasperException`

### handleDeclaration

    public void handleDeclaration(Mark start,
                                  Mark stop,
                                  org.xml.sax.Attributes attrs,
                                  char[] text)
                           throws JasperException

    `JasperException`

### handleScriptlet

    public void handleScriptlet(Mark start,
                                Mark stop,
                                org.xml.sax.Attributes attrs,
                                char[] text)
                         throws JasperException

    `JasperException`

### handleExpression

    public void handleExpression(Mark start,
                                 Mark stop,
                                 org.xml.sax.Attributes attrs,
                                 char[] text)
                          throws JasperException

    `JasperException`

### handleBean

    public void handleBean(Mark start,
                           Mark stop,
                           org.xml.sax.Attributes attrs)
                    throws JasperException

    `JasperException`

### handleBean

    public void handleBean(Mark start,
                           Mark stop,
                           org.xml.sax.Attributes attrs,
                           boolean isXml)
                    throws JasperException

    `JasperException`

### handleBeanEnd

    public void handleBeanEnd(Mark start,
                              Mark stop,
                              org.xml.sax.Attributes attrs)
                       throws JasperException

    `JasperException`

### handleGetProperty

    public void handleGetProperty(Mark start,
                                  Mark stop,
                                  org.xml.sax.Attributes attrs)
                           throws JasperException

    `JasperException`

### handleSetProperty

    public void handleSetProperty(Mark start,
                                  Mark stop,
                                  org.xml.sax.Attributes attrs)
                           throws JasperException

    `JasperException`

### handleSetProperty

    public void handleSetProperty(Mark start,
                                  Mark stop,
                                  org.xml.sax.Attributes attrs,
                                  boolean isXml)
                           throws JasperException

    `JasperException`

### handlePlugin

    public void handlePlugin(Mark start,
                             Mark stop,
                             org.xml.sax.Attributes attrs,
                             java.util.Hashtable param,
                             java.lang.String fallback)
                      throws JasperException

    `JasperException`

### handlePlugin

    public void handlePlugin(Mark start,
                             Mark stop,
                             org.xml.sax.Attributes attrs,
                             java.util.Hashtable param,
                             java.lang.String fallback,
                             boolean isXml)
                      throws JasperException

    `JasperException`

### handleCharData

    public void handleCharData(Mark start,
                               Mark stop,
                               char[] chars)
                        throws JasperException

    `JasperException`

### getTagLibraries

    public TagLibraries getTagLibraries()

### handleTagBegin

    public void handleTagBegin(Mark start,
                               Mark stop,
                               org.xml.sax.Attributes attrs,
                               java.lang.String prefix,
                               java.lang.String shortTagName,
                               javax.servlet.jsp.tagext.TagLibraryInfo tli,
                               javax.servlet.jsp.tagext.TagInfo ti,
                               boolean hasBody)
                        throws JasperException

    `JasperException`

### handleTagBegin

    public void handleTagBegin(Mark start,
                               Mark stop,
                               org.xml.sax.Attributes attrs,
                               java.lang.String prefix,
                               java.lang.String shortTagName,
                               javax.servlet.jsp.tagext.TagLibraryInfo tli,
                               javax.servlet.jsp.tagext.TagInfo ti,
                               boolean hasBody,
                               boolean isXml)
                        throws JasperException

    `JasperException`

### handleTagEnd

    public void handleTagEnd(Mark start,
                             Mark stop,
                             java.lang.String prefix,
                             java.lang.String shortTagName,
                             org.xml.sax.Attributes attrs,
                             javax.servlet.jsp.tagext.TagLibraryInfo tli,
                             javax.servlet.jsp.tagext.TagInfo ti,
                             boolean hasBody)
                      throws JasperException

    `JasperException`

### handleForward

    public void handleForward(Mark start,
                              Mark stop,
                              org.xml.sax.Attributes attrs,
                              java.util.Hashtable param)
                       throws JasperException

    `JasperException`

### handleForward

    public void handleForward(Mark start,
                              Mark stop,
                              org.xml.sax.Attributes attrs,
                              java.util.Hashtable param,
                              boolean isXml)
                       throws JasperException

    `JasperException`

### handleInclude

    public void handleInclude(Mark start,
                              Mark stop,
                              org.xml.sax.Attributes attrs,
                              java.util.Hashtable param)
                       throws JasperException

    `JasperException`

### handleInclude

    public void handleInclude(Mark start,
                              Mark stop,
                              org.xml.sax.Attributes attrs,
                              java.util.Hashtable param,
                              boolean isXml)
                       throws JasperException

    `JasperException`

### endPageProcessing

    public void endPageProcessing()
                           throws JasperException

    `JasperException`

### handleRootBegin

    public void handleRootBegin(org.xml.sax.Attributes attrs)
                         throws JasperException

    `JasperException`

### handleRootEnd

    public void handleRootEnd()

### handleUninterpretedTagBegin

    public void handleUninterpretedTagBegin(Mark start,
                                            Mark stop,
                                            java.lang.String rawName,
                                            org.xml.sax.Attributes attrs)
                                     throws JasperException

    `JasperException`

### handleUninterpretedTagEnd

    public void handleUninterpretedTagEnd(Mark start,
                                          Mark stop,
                                          java.lang.String rawName,
                                          char[] data)
                                   throws JasperException

    `JasperException`

### handleJspCdata

    public void handleJspCdata(Mark start,
                               Mark stop,
                               char[] data)
                        throws JasperException

    `JasperException`

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2000 Apache Software Foundation. All Rights Reserved.